## org.eclipse.emf.mapping.ecore2xml.impl
Class XMLMapImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.mapping.ecore2xml.impl.XMLMapImpl

All Implemented Interfaces:
  Notifier, EObject, InternalEObject, XMLResource.XMLMap, XMLMap

    public class XMLMapImpl

extends EObjectImpl
implements XMLMap

An implementation of the model object 'XML Map'.

The following features are implemented:

- `ID Attribute Name`
- `Ecore To XML Info`
- `No Namespace Package`

Nested Class Summary
`protected class` `XMLMapImpl.DelegateXMLMapImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected XMLResource.XMLMap` `delegateXMLMap`
`protected EMap<ENamedElement,XMLInfo>` `ecoreToXMLInfo` The cached value of the '`Ecore To XML Info`' map
`protected static java.lang.String` `ID_ATTRIBUTE_NAME_EDEFAULT` The default value of the '`ID Attribute Name`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `XMLMapImpl()`

Method Summary
`void` `add(ENamedElement element, XMLResource.XMLInfo info)` Add an XMLInfo object for an Ecore construct to the map.
`EPackage` `basicGetNoNamespacePackage()`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`EClassifier` `getClassifier(java.lang.String namespaceURI, java.lang.String name)` Returns the EClassifier with the given namespace URI and name.
`EMap<ENamedElement,XMLInfo>` `getEcoreToXMLInfo()`
`EStructuralFeature` `getFeature(EClass eClass, java.lang.String namespaceURI, java.lang.String name)` Returns the feature for the given class with the given namespace URI and name.
`java.util.List<EStructuralFeature>` `getFeatures(EClass eClass)` Returns the list of features for the given class in the order in which they should be saved.
`java.lang.String` `getIDAttributeName()`
`XMLResource.XMLInfo` `getInfo(ENamedElement element)` Returns the XMLInfo object for the given Ecore construct, if there is one.
`EPackage` `getNoNamespacePackage()`
`void` `setIDAttributeName(java.lang.String newIDAttributeName)`
`void` `setNoNamespacePackage(EPackage newNoNamespacePackage)`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### ID_ATTRIBUTE_NAME_EDEFAULT

    protected static final java.lang.String ID_ATTRIBUTE_NAME_EDEFAULT

  The default value of the '`ID Attribute Name`' attribute.

  See Also:
    `getIDAttributeName()`

### ecoreToXMLInfo

    protected EMap<ENamedElement,XMLInfo> ecoreToXMLInfo

  The cached value of the '`Ecore To XML Info`' map.

  See Also:
    `getEcoreToXMLInfo()`

### delegateXMLMap

    protected XMLResource.XMLMap delegateXMLMap

Constructor Detail

### XMLMapImpl

    protected XMLMapImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `EObjectImpl`

### getIDAttributeName

    public java.lang.String getIDAttributeName()

  Specified by:
    `getIDAttributeName` in interface `XMLResource.XMLMap`
  Specified by:
    `getIDAttributeName` in interface `XMLMap`
  Returns:
    the value of the 'ID Attribute Name' attribute.
  See Also:
    `XMLMap.setIDAttributeName(String)`, `Ecore2XMLPackage.getXMLMap_IDAttributeName()`

### setIDAttributeName

    public void setIDAttributeName(java.lang.String newIDAttributeName)

  Specified by:
    `setIDAttributeName` in interface `XMLResource.XMLMap`
  Specified by:
    `setIDAttributeName` in interface `XMLMap`
  Parameters:
    `newIDAttributeName` - the new value of the 'ID Attribute Name' attribute.
  See Also:
    `XMLMap.getIDAttributeName()`

### getEcoreToXMLInfo

    public EMap<ENamedElement,XMLInfo> getEcoreToXMLInfo()

  Specified by:
    `getEcoreToXMLInfo` in interface `XMLMap`
  Returns:
    the value of the 'Ecore To XML Info' map.
  See Also:
    `Ecore2XMLPackage.getXMLMap_EcoreToXMLInfo()`

### getNoNamespacePackage

    public EPackage getNoNamespacePackage()

  Specified by:
    `getNoNamespacePackage` in interface `XMLResource.XMLMap`
  Specified by:
    `getNoNamespacePackage` in interface `XMLMap`
  Returns:
    the value of the 'No Namespace Package' reference.
  See Also:
    `XMLMap.setNoNamespacePackage(EPackage)`, `Ecore2XMLPackage.getXMLMap_NoNamespacePackage()`

### basicGetNoNamespacePackage

    public EPackage basicGetNoNamespacePackage()

### setNoNamespacePackage

    public void setNoNamespacePackage(EPackage newNoNamespacePackage)

  Specified by:
    `setNoNamespacePackage` in interface `XMLResource.XMLMap`
  Specified by:
    `setNoNamespacePackage` in interface `XMLMap`
  Parameters:
    `newNoNamespacePackage` - the new value of the 'No Namespace Package' reference.
  See Also:
    `XMLMap.getNoNamespacePackage()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `BasicEObjectImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `BasicEObjectImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `BasicEObjectImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `BasicEObjectImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### add

    public void add(ENamedElement element,
                    XMLResource.XMLInfo info)

  Description copied from interface: `XMLResource.XMLMap`
  Add an XMLInfo object for an Ecore construct to the map.

  Specified by:
    `add` in interface `XMLResource.XMLMap`

### getClassifier

    public EClassifier getClassifier(java.lang.String namespaceURI,
                                     java.lang.String name)

  Description copied from interface: `XMLResource.XMLMap`
  Returns the EClassifier with the given namespace URI and name.

  Specified by:
    `getClassifier` in interface `XMLResource.XMLMap`

### getFeature

    public EStructuralFeature getFeature(EClass eClass,
                                         java.lang.String namespaceURI,
                                         java.lang.String name)

  Description copied from interface: `XMLResource.XMLMap`
  Returns the feature for the given class with the given namespace URI and name.

  Specified by:
    `getFeature` in interface `XMLResource.XMLMap`

### getFeatures

    public java.util.List<EStructuralFeature> getFeatures(EClass eClass)

  Description copied from interface: `XMLResource.XMLMap`
  Returns the list of features for the given class in the order in which they should be saved.

  Specified by:
    `getFeatures` in interface `XMLResource.XMLMap`

### getInfo

    public XMLResource.XMLInfo getInfo(ENamedElement element)

  Description copied from interface: `XMLResource.XMLMap`
  Returns the XMLInfo object for the given Ecore construct, if there is one.

  Specified by:
    `getInfo` in interface `XMLResource.XMLMap`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.